Bug 1121447 - gpg: WARNING: The GNOME keyring manager hijacked the GnuPG agent. gpg: WARNING: GnuPG will not work properly - please configure that tool to not interfere with the GnuPG system!
Summary: gpg: WARNING: The GNOME keyring manager hijacked the GnuPG agent. gpg: WARNIN...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnupg2
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 02:14 UTC by Michael Catanzaro
Modified: 2018-04-11 18:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-16 14:09:25 UTC


Attachments (Terms of Use)

Description Michael Catanzaro 2014-07-21 02:14:51 UTC
Description of problem: When I use gpg, this prints:

gpg: WARNING: The GNOME keyring manager hijacked the GnuPG agent.
gpg: WARNING: GnuPG will not work properly - please configure that tool to not interfere with the GnuPG system!

I guess this warning exists for a reason, but I can't guess why. It implies that GNOME's GPG agent somehow breaks GnuPG -- how so?

The warning is problematic for two reasons:

1) The GPG agent is active by default. If the GPG agent is a problem then the default needs to be changed. (That would be super unlikely, though, since GNOME's GPG agent is really nice. :)

2) The GPG agent is a low-level technical detail, not some user-configurable thing that can be changed, so telling the user to disable it is really dumb because there is literally no user-visible way to do so. (In 3.10 it's kind of configurable in that if you know the magic command-line incantation to start gnome-session-properties, you can probably find GNOME's GPG agent on the list and turn it off, but it's unlikely anyone except a GNOME developer or very experienced user could possibly figure that out. This has been removed in 3.12, so in F21 you will be completely out of luck.)


Version-Release number of selected component (if applicable): Started with 2.0.23


How reproducible: Always


Steps to Reproduce:
1. In a git repo, git tag -s

Actual results: No warning


Expected results: Warning prints

Comment 1 Tomas Mraz 2014-07-21 08:38:24 UTC
Please discuss this issue with GnuPG upstream.

Comment 2 Rex Dieter 2014-07-21 11:47:29 UTC
My understanding is generally that (gnome) seahorse-agent esentially *replaces* gpg-agent, see
https://wiki.gnome.org/Apps/Seahorse/SessionIntegration

This is possibly gpgme upstream reaction to bug reports about it. :-/

See also,
https://wiki.archlinux.org/index.php/GNOME_Keyring#Disable_Keyring_daemon

for a suggestion on how to disable it.

Comment 3 Rex Dieter 2014-07-21 11:48:39 UTC
And (in comments),
http://stef.thewalter.net/2010/05/gpg-agent-in-gnome-keyring.html

Comment 4 Michael Catanzaro 2014-07-21 12:23:46 UTC
(In reply to Rex Dieter from comment #2)
> My understanding is generally that (gnome) seahorse-agent esentially
> *replaces* gpg-agent, see
> https://wiki.gnome.org/Apps/Seahorse/SessionIntegration

Yes

> This is possibly gpgme upstream reaction to bug reports about it. :-/

Would be curious to see them. I've never had a problem.

> See also,
> https://wiki.archlinux.org/index.php/GNOME_Keyring#Disable_Keyring_daemon
> 
> for a suggestion on how to disable it.

Er, that involves symlinking desktop files to /dev/null... I'm sure that will work, but a bit of a stretch to suggest it's "configuring"

(In reply to Rex Dieter from comment #3)
> And (in comments),
> http://stef.thewalter.net/2010/05/gpg-agent-in-gnome-keyring.html

Startup Applications is gnome-session-properties, which has been removed as mentioned above. We don't let users configure startup applications anymore.

(In reply to Tomas Mraz from comment #1)
> Please discuss this issue with GnuPG upstream.

Fair enough, but I'm not planning to :)

Comment 5 Miloslav Trmač 2015-03-30 21:30:01 UTC
Whatever upstreams think, I don’t think we should be shipping a distribution with two components that fight like this.

A harmless warning would be slightly annoying, but this is user-visible: reportedly it causes spurious “decryption failed” errors in Enigmail.

Either there are legitimate problems with gnome-keyring, and it either should be fixed or modified to stop providing the agent services, or the system works fine and we should disable the warning message.

Comment 6 Tomas Mraz 2015-03-31 13:34:21 UTC
I am not planning to remove the message unless somebody agrees to thoroughly test the compatibility of gnome-keyring with gnupg2.

Comment 9 Miloslav Trmač 2015-04-01 19:40:51 UTC
FWIW the relevant upstream discussions: https://lists.gnupg.org/pipermail/gnupg-devel/2014-August/028689.html .  None of the directly applicable upstream bug reports point to this.

Comment 10 Fedora End Of Life 2015-05-29 12:25:21 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Christian Stadelmann 2017-04-16 12:39:29 UTC
I think this bug is gone. Can anyone confirm that and close this bug report?

Comment 12 Michael Catanzaro 2017-04-16 14:09:25 UTC
Yeah, this is long since fixed.


Note You need to log in before you can comment on or make changes to this bug.